Summary:        DNS toolkit for Python
Name:           python-dns
Version: 2.6.1
Release: 3%{?dist}
License:        ISC and MIT
URL:            http://www.dnspython.org
Source0:        https://github.com/rthalley/dnspython/archive/v%{version}/dnspython-%{version}.tar.gz

# not support SHA1 Algo, so skip its test.
Patch5000:      skip-SHA1-test.patch
# disable network connect test
Patch5001:      0002-disable-network-test-in-koji-build.patch

BuildArch:      noarch
BuildRequires:  python3-devel python3-pytest system-rpm-config python3-cryptography

%description
dnspython is a DNS toolkit for Python. \
It supports almost all record types. It can be used for queries, \
zone transfers, and dynamic updates. \
It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. \
The high level classes perform queries for data of a given name, type, \
and class, and return an answer set. The low level classes allow direct \
manipulation of DNS zones, messages, names, and records.

%package -n python3-dns
Summary:        dnspython is a DNS toolkit for Python.

%description -n python3-dns
dnspython is a DNS toolkit for Python.

%generate_buildrequires
%pyproject_buildrequires -r

%prep
%autosetup -p1 -n dnspython-%{version}
sed -i "s/\(cryptography = {version=\">=2.6,<\)37.0\(\", optional=true}\)/\139.0\2/" pyproject.toml
find examples -type f | xargs chmod a-x

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dns

%check
%pytest

%files -n python3-dns -f %{pyproject_files}
%license LICENSE
%doc README.md examples

%package -n python3-dns+dnssec
Summary: Metapackage for python3-dns: dnssec extras
Requires: python3-dns = %{version}-%{release}

%description -n python3-dns+dnssec
This is a metapackage bringing in dnssec extras requires for python3-dns.
It makes sure the dependencies are installed.

%files -n python3-dns+dnssec -f %{_builddir}/pyproject-ghost-distinfo

%package -n python3-dns+idna
Summary: Metapackage for python3-dns: idna extras
Requires: python3-dns = %{version}-%{release}

%description -n python3-dns+idna
This is a metapackage bringing in idna extras requires for python3-dns.
It makes sure the dependencies are installed.

%files -n python3-dns+idna -f %{_builddir}/pyproject-ghost-distinfo

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.1-2
- Rebuilt for loongarch release

* Mon May 6 2024 Jiaxin Yang <jiaxinyyang@tencent.com> - 2.6.1-1
- [Type] security
- upgrade to 2.6.1
- [DESC] fix CVE-2023-29483

* Fri Sep 22 2023 cunshunxia <cunshunxia@tencent.com> - 2.4.2-1
- upgrade to 2.4.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Yi Lin <nilusyi@tencent.com> - 2.3.0-1
- upgrade to 2.3.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-4
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 22 2023 rockerzhu <rockerzhu@tencent.com> - 2.2.1-3
- Use system-rpm-config

* Wed Dec 14 2022 Xun Zhong <victorzhong@tencent.com> - 2.2.1-2
- update require minimum version for python-cryptography 39

* Thu Nov 17 2022 Xun Zhong <victorzhong@tencent.com> - 2.2.1-1
- Initial build
